Package com.opensymphony.module.sitemesh.mapper

# Class ConfigLoader.State

java.lang.Object
com.opensymphony.module.sitemesh.mapper.ConfigLoader.State

Enclosing class:
  `ConfigLoader`

private static class ConfigLoader.State extends Object
State visibile across threads stored in a single container so that we can efficiently atomically access it with the guarantee that we wont see a partially loaded configuration in the face of one thread reloading the configuration while others are trying to read it.

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) boolean`
`checking`
Whether a thread is currently checking if the configuration file has been modified and potentially reloading it and therefore others shouldn't attempt the same till it's done.
`(package private) Map`
`decorators`
`(package private) long`
`lastModificationCheck`
Timestamp of the last time we checked for an update to the configuration file used to rate limit the frequency at which we check for efficiency.
`(package private) long`
`lastModified`
Timestamp of the modification time of the configuration file when we generated the state.
`(package private) PathMapper`
`pathMapper`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`State()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### lastModificationCheck

long lastModificationCheck
Timestamp of the last time we checked for an update to the configuration file used to rate limit the frequency at which we check for efficiency.

### lastModified

long lastModified
Timestamp of the modification time of the configuration file when we generated the state.

### checking

boolean checking
Whether a thread is currently checking if the configuration file has been modified and potentially reloading it and therefore others shouldn't attempt the same till it's done.

### decorators

Map decorators

### pathMapper

PathMapper pathMapper

## Constructor Details

### State

private State()